# Class pyglet.window.MouseCursor

Known Subclasses:
  DefaultMouseCursor, ImageMouseCursor

An abstract mouse cursor.

## Methods

| draw(self, x, y) Abstract render method.

## Class Variables

| drawable = `True`

## Method Details

### draw

draw(self, x, y)

Abstract render method.

The cursor should be drawn with the "hot" spot at the given coordinates. The projection is set to the pyglet default (i.e., orthographic in window-space), however no other aspects of the state can be assumed.

Parameters:
  x : int
    X coordinate of the mouse pointer's hot spot.
  y : int
    Y coordinate of the mouse pointer's hot spot.